# certi::rtia Namespace Reference

## Classes
class | Communications
class | DataDistribution
class | DeclarationManagement
class | FederationManagement
class | Queues
class | ObjectManagement
class | OwnershipManagement
| Ownership Management main class. More...
class | RTIA
class | Statistics
| Display statistics on sent/received messages by RTIA. More...
class | TimeManagement
## Enumerations
enum | TypeAvancee { PAS_D_AVANCEE = 1, TAR, NER, TARA, NERA }
enum | TypeGrantedState { AFTER_TAR_OR_NER = 1, AFTER_TAR_OR_NER_WITH_ZERO_LK, AFTER_TARA_OR_NERA }
## Functions
static pdCDebug | D ("RTIA_DDM", __FILE__)
static pdCDebug | D ("RTIA_DM","(RTIA DM) ")
static PrettyDebug | G ("GENDOC", __FILE__)
static pdCDebug | D ("RTIA_FM","(RTIA FM) ")
static PrettyDebug | D ("RTIA_OM", __FILE__)
static pdCDebug | D ("RTIA_OWM","(RTIA OwM) ")
static pdCDebug | D ("RTIA","(RTIA) ")
static pdCDebug | D ("RTIA", __FILE__)
static RTI::TickTime | currentTickTime ()
static pdCDebug | D ("RTIA","(RTIA net) ")
ostream & | operator<< (ostream &s, Statistics &stat)
| Display collected data.
PrettyDebug | D ("RTIA_TM", __FILE__)
static PrettyDebug | G ("GENDOC", __FILE__)
## Variables
static pdCDebug | D ("RTIA_COMM","(RTIA Comm) ")
static PrettyDebug | G ("GENDOC", __FILE__)
const double | epsilon2 = 1.0e-4

## Enumeration Type Documentation

enum TypeAvancee

Enumerator:

  PAS_D_AVANCEE |
  TAR |
  NER |
  TARA |
  NERA |

Definition at line 59 of file TimeManagement.hh.

enum TypeGrantedState

Enumerator:

  AFTER_TAR_OR_NER |
  AFTER_TAR_OR_NER_WITH_ZERO_LK |
  AFTER_TARA_OR_NERA |

Definition at line 67 of file TimeManagement.hh.

## Function Documentation

static RTI::TickTime certi::rtia::currentTickTime | ( |  | ) | `[static]`

Definition at line 45 of file RTIA_federate.cc.

Referenced by RTIA::chooseFederateProcessing(), and RTIA::processOngoingTick().

PrettyDebug certi::rtia::@169::D | ( | "RTIA_TM" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::rtia::D | ( | "RTIA" | ,
|  | "(RTIA net) " |  |
| ) |  |  | `[static]`

static pdCDebug certi::rtia::D | ( | "RTIA" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::rtia::D | ( | "RTIA" | ,
|  | "(RTIA) " |  |
| ) |  |  | `[static]`

static pdCDebug certi::rtia::D | ( | "RTIA_OWM" | ,
|  | "(RTIA OwM) " |  |
| ) |  |  | `[static]`

static PrettyDebug certi::rtia::D | ( | "RTIA_OM" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static pdCDebug certi::rtia::D | ( | "RTIA_FM" | ,
|  | "(RTIA FM) " |  |
| ) |  |  | `[static]`

static pdCDebug certi::rtia::D | ( | "RTIA_DM" | ,
|  | "(RTIA DM) " |  |
| ) |  |  | `[static]`

static pdCDebug certi::rtia::D | ( | "RTIA_DDM" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static PrettyDebug certi::rtia::@169::G | ( | "GENDOC" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

static PrettyDebug certi::rtia::G | ( | "GENDOC" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

ostream& certi::rtia::operator<< | ( | ostream & | s,
|  | Statistics & | stat |
| ) |  |  |

Display collected data.

Definition at line 331 of file Statistics.cc.

References Statistics::displayZero(), Statistics::federateServiceSet, NetworkMessage::LAST, Message::LAST, NetworkMessage::NOT_USED, Message::NOT_USED, and Statistics::rtiServiceSet.

Here is the call graph for this function:

## Variable Documentation

PrettyDebug D("RTIA_TM", __FILE__) | ( | "RTIA_COMM" | ,
|  | "(RTIA Comm) " |  |
| ) |  |  | `[static]`

Referenced by TimeManagement::advance(), FederationManagement::announceSynchronizationPoint(), DataDistribution::associateRegion(), OwnershipManagement::attributeOwnedByFederate(), OwnershipManagement::attributeOwnershipAcquisition(), OwnershipManagement::attributeOwnershipAcquisitionIfAvailable(), OwnershipManagement::attributeOwnershipRealeaseResponse(), OwnershipManagement::cancelattributeOwnershipAcquisition(), OwnershipManagement::cancelnegotiatedAttributeOwnershipDivestiture(), RTIA::chooseFederateProcessing(), DataDistribution::createRegion(), DataDistribution::deleteRegion(), FederationManagement::destroyFederationExecution(), TimeManagement::executeFederateService(), FederationManagement::federateRestoreStatus(), FederationManagement::federateSaveBegun(), FederationManagement::federateSaveStatus(), FederationManagement::federationRestoreBegun(), FederationManagement::federationRestoredStatus(), FederationManagement::federationSavedStatus(), FederationManagement::federationSynchronized(), TimeManagement::flushQueueRequest(), FederationManagement::initiateFederateRestore(), FederationManagement::initiateFederateSave(), FederationManagement::joinFederationExecution(), DataDistribution::modifyRegion(), OwnershipManagement::negotiatedAttributeOwnershipDivestiture(), TimeManagement::nextEventRequest(), TimeManagement::nextEventRequestAvailable(), RTIA::processFederateRequest(), RTIA::processNetworkMessage(), DeclarationManagement::publishInteractionClass(), DeclarationManagement::publishObjectClass(), OwnershipManagement::queryAttributeOwnership(), DataDistribution::registerObject(), FederationManagement::registerSynchronization(), FederationManagement::requestFederationRestore(), FederationManagement::requestFederationRestoreStatus(), FederationManagement::requestFederationSave(), TimeManagement::requestMinNextEventTime(), FederationManagement::resignFederationExecution(), TimeManagement::sendNullMessage(), TimeManagement::setLookahead(), TimeManagement::setTimeConstrained(), TimeManagement::setTimeRegulating(), DeclarationManagement::stopRegistrationForObjectClass(), DataDistribution::subscribe(), DataDistribution::subscribeInteraction(), DeclarationManagement::subscribeInteractionClass(), FederationManagement::synchronizationPointRegistrationFailed(), FederationManagement::synchronizationPointRegistrationSucceeded(), TimeManagement::tick(), TimeManagement::timeAdvance(), TimeManagement::timeAdvanceGrant(), TimeManagement::timeAdvanceRequest(), TimeManagement::timeAdvanceRequestAvailable(), TimeManagement::timeConstrainedEnabled(), TimeManagement::timeRegulationEnabled(), DeclarationManagement::turnInteractionsOff(), DeclarationManagement::turnInteractionsOn(), DataDistribution::unassociateRegion(), OwnershipManagement::unconditionalAttributeOwnershipDivestiture(), DeclarationManagement::unpublishInteractionClass(), DeclarationManagement::unpublishObjectClass(), FederationManagement::unregisterSynchronization(), DataDistribution::unsubscribeAttributes(), DataDistribution::unsubscribeInteraction(), DeclarationManagement::unsubscribeInteractionClass(), and ObjectManagement::updateAttributeValues().

const double epsilon2 = 1.0e-4`[static]`

Definition at line 36 of file TimeManagement.cc.

Referenced by TimeManagement::nextEventRequest(), TimeManagement::setLookahead(), TimeManagement::timeAdvanceGrant(), and TimeManagement::timeAdvanceRequest().

PrettyDebug G("GENDOC", __FILE__) | ( | "GENDOC" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

Referenced by ObjectManagement::attributesInScope(), ObjectManagement::attributesOutOfScope(), RTIA::chooseFederateProcessing(), FederationManagement::destroyFederationExecution(), TimeManagement::executeFederateService(), FederationManagement::federateSaveBegun(), FederationManagement::federateSaveStatus(), FederationManagement::FederationManagement(), FederationManagement::federationRestoreBegun(), FederationManagement::federationSavedStatus(), ObjectManagement::getAttributeHandle(), ObjectManagement::getObjectClassHandle(), FederationManagement::initiateFederateRestore(), FederationManagement::initiateFederateSave(), FederationManagement::joinFederationExecution(), TimeManagement::nextEventAdvance(), RTIA::processFederateRequest(), RTIA::processNetworkMessage(), ObjectManagement::provideAttributeValueUpdate(), DeclarationManagement::publishObjectClass(), ObjectManagement::reflectAttributeValues(), FederationManagement::registerSynchronization(), FederationManagement::requestFederationRestore(), FederationManagement::requestFederationRestoreStatus(), FederationManagement::requestFederationSave(), ObjectManagement::requestObjectAttributeValueUpdate(), FederationManagement::resignFederationExecution(), RTIA::saveAndRestoreStatus(), ObjectManagement::sendInteraction(), ObjectManagement::setAttributeRelevanceAdvisorySwitch(), ObjectManagement::setAttributeScopeAdvisorySwitch(), DeclarationManagement::setClassRelevanceAdvisorySwitch(), DeclarationManagement::setInteractionRelevanceAdvisorySwitch(), DeclarationManagement::startRegistrationForObjectClass(), DeclarationManagement::subscribeObjectClassAttribute(), FederationManagement::synchronizationPointRegistrationFailed(), FederationManagement::synchronizationPointRegistrationSucceeded(), TimeManagement::tick(), TimeManagement::timeAdvance(), ObjectManagement::turnUpdatesOffForObjectInstance(), ObjectManagement::turnUpdatesOnForObjectInstance(), ObjectManagement::updateAttributeValues(), and FederationManagement::~FederationManagement().